html, body, iframe {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 16px;
    vertical-align: baseline;
    background: transparent;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    font-family: 'Roboto', sans-serif;
}

::-webkit-scrollbar
{
    display: none;
}

p {
    color: #FFFFFF;
}

::-webkit-scrollbar
{
    display: none;
}

.white-text {
    color: #FFFFFF;
}

.table-responsive {
    overflow-y: hidden;
}

.table-responsive::-webkit-scrollbar
{
    display: block;
}

.table-responsive::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px #5C2D90;
    border-radius: 10px;
    background-color: #F5F5F5;
}

.table-responsive::-webkit-scrollbar
{
    width: 10px;
    background-color: #F5F5F5;
}

.table-responsive::-webkit-scrollbar-thumb
{
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #5C2D90;
}

.overflow-y-hidden {
    overflow-y: hidden;
}

a:hover {
     cursor: pointer;
}

/*Non-retina Displays*/
@media screen
and (min-device-width: 768px)
and (max-device-width: 1600px)
and (-webkit-min-device-pixel-ratio: 1) {
    html {
        font-size: 12px !important;
    }

    p {
        font-size: 0.7rem;
    }
}

#login-page, #home-page {
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}

#content-wrapper,
.page-wrapper {
    height: 100%;
}

.page-wrapper {
    flex: 1;
}

h1, h2, h3, h4, h5, h6, .header-text {
    font-family: 'Helvetica', sans-serif;
    color: white;
}

ul {
    list-style: none;
    -webkit-padding-start: 0;
}

.text {
    font-family: 'Open Sans', sans-serif;
    color: white;
}

.error {
    color: red;
}

.text-input {
    color: #FFFFFF;
    border: 0;
    outline: 0;
    background: transparent;
    border-bottom: 1px solid white;
    border-radius: 0 !important;
}

.justify-content-space-evenly {
    justify-content: space-evenly !important;
}

.thead-dark {
    color: black !important;
    background-color: black !important;
}

th {
    white-space: nowrap;
}

tr {
    white-space: nowrap;
}

table {
    margin-bottom: 0 !important;
}

.table th {
    padding: .5rem;
    font-size: 0.7rem;
    font-weight: normal;
}

.table tr {
    font-size: 0.6rem;
}

td {
    font-size: 0.55rem;
}

.fraction {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
}

.denominator {
    border-top: 2px solid #000000;
}

.table td {
    padding: .5rem;
    vertical-align: middle !important;
}

.clickable-item:hover {
    cursor: pointer;
}

button:hover {
    cursor: pointer;
}

.clickable-text {
    color: #000000 !important;
    text-shadow: 1px 1px 0.8px rgba(75, 75, 75, 0.3) !important;
    transition: all .2s ease-in-out;
}

.clickable-text:hover {
    cursor: pointer;
    transform: scale(1.07);
}

.clickable-block {
    text-shadow: 1px 1px 0.8px rgba(75, 75, 75, 0.3) !important;
    transition: all .2s ease-in-out;
}

.clickable-block:hover {
    cursor: pointer;
    transform: scale(1.07);
}

.finishing-position-icon {
    box-shadow: 2px 3px 4px 0 rgba(0, 0, 0, 0.35);
    border-radius: 50%;
    transition: all .2s ease-in-out;
}

.filter-button {
    border-radius: 5px;
    border: solid 1px #000000;
    background-color: #FFFFFF;
    margin-bottom: 0.4rem;
}

.filter-tag {
    background-color: #000000;
    color: #FFFFFF;
    border-radius: 5px;
    text-align: center;
    border: none;
}

.tab-header {
    -webkit-user-select: none;
}

button:focus { outline: none; }

@media (min-width: 768px) {
    td {
        font-size: 1rem;
        line-height: 1.6rem;
        padding: 0 1rem;
    }

    .table th {
        font-size: 1.1rem;
    }

    .table tr {
        font-size: 1.1rem;
    }

    .d-md-table-cell {
        display: table-cell !important;
    }
}

@media (min-width: 1200px) {
    .loading-gif {
        width: 10vw !important;
        left: 60% !important;
    }
}

@media only screen and (min-device-width: 0px) and (max-device-width: 1200px) and (orientation: landscape) {
    .loading-gif {
        width: 17% !important;
    }
}

.loading-gif-wrapper {
    height: 100vh;
    width: 100%;
    background-color: #818181;
    opacity: 0.8;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 10;
}

.loading-gif {
    position: fixed;
    left: 50% !important;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 150px;
    z-index: 11;
}

.page-title-header-text {
    z-index: 0;
    font-size: 1.2rem;
}
